Update a hardware item

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
PUT /data/hardware-items/{instance_id}

Update the fields of a hardware item. Send only the fields to change. You cannot change id, created_at, updated_at. Dates use the ISO 8601 format. You must be an administrator.

Path parameters

  • instance_id string(uuid) Required

    Unique identifier of the hardware item

application/json

Body Required

  • name string
  • short_name string
  • archived boolean
  • monthly_cost integer

    Monthly cost of the item

  • inventory_amount integer

    Number of items in the inventory

Responses

  • 200 application/json

    The updated hardware item

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • short_name string
    • archived boolean
    • monthly_cost integer
    • inventory_amount integer
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    The body is not valid, a date is not valid, or a field breaks a database constraint

  • 403

    You are not an administrator

  • 404

    The hardware item does not exist

PUT /data/hardware-items/{instance_id}
curl -X PUT "http://api.example.com/data/hardware-items/a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Updated Workstation 01",
  "serial_number": "SN123457"
}'
import requests

url = "http://api.example.com/data/hardware-items/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "name": "Updated Workstation 01",
    "serial_number": "SN123457"
}

response = requests.put(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "name": "Updated Workstation 01",
  "short_name": "WS01",
  "archived": false,
  "monthly_cost": 42,
  "inventory_amount": 42
}
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "name": "Updated Workstation 01",
  "short_name": "WS01",
  "archived": false,
  "monthly_cost": 50,
  "inventory_amount": 3,
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T11:00:00Z"
}